Loading...
Searching...
No Matches
path.h File Reference
Concepts
`#include <lemon/core.h>`
`#include <lemon/concept_check.h>`

## Classes

class | Path< GR >
| A skeleton structure for representing directed paths in a digraph. More...
class | Path< GR >::ArcIt
| LEMON style iterator for enumerating the arcs of a path. More...
class | PathDumper< GR >
| A skeleton structure for path dumpers. More...
class | PathDumper< GR >::ArcIt
| LEMON style iterator for enumerating the arcs of a path. More...
class | PathDumper< GR >::RevArcIt
| LEMON style iterator for enumerating the arcs of a path in reverse direction. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.
namespace | lemon::concepts
| The namespace of LEMON concepts and concept checking classes.